ng = 0:0.001:1
Ech = 4*(1-2*ng);

figure(1)
hold off
plot(ng,sqrt(Ech.^2+1)/2)
hold on
plot(ng,-sqrt(Ech.^2+1)/2)
plot(ng,Ech/2,'k--')
plot(ng,-Ech/2,'k--')
plot(ng,sqrt(Ech.^2+4)/2,'r')
plot(ng,-sqrt(Ech.^2+4)/2,'r')
xlabel('Gate Charge n_g=V_gC_g/2e')
ylabel('Energy (E_C)');
makepdf('CPBQEnergy');

figure(2);
qgs = 1/2*(1-(1-2*ng)./sqrt((0.001/4)^2+(1-2*ng).^2));
hold off
plot(ng, qgs, 'k--')
qgs = 1/2*(1-(1-2*ng)./sqrt((1/4)^2+(1-2*ng).^2));
hold on
plot(ng, qgs)
qgs = 1/2*(1-(1-2*ng)./sqrt((4/4)^2+(1-2*ng).^2));
plot(ng, qgs, 'r')
xlabel('Gate Charge n_g=V_gC_g/2e')
ylabel('Ground State Charge <n> (2e)')
makepdf('CPBQCharge');
