ng = -2.6:0.01:2.6;
EJEC = 0.0;
nmax = 10;

EigenEnergy = [];
for i=1:length(ng)
    EigenEnergy(:,i) = Hamiltonian(EJEC,ng(i),nmax);
end
figure(1);
plot(ng,EigenEnergy)
ylim([0 6])
xlabel('Gate Charge n_g')
ylabel('Energy (E_C)')
title('E_J/E_C=0.0')
makepdf('cooperpairbox1');


EJEC = 0.1;
EigenEnergy = [];
for i=1:length(ng)
    EigenEnergy(:,i) = Hamiltonian(EJEC,ng(i),nmax);
end
figure(2);
plot(ng,EigenEnergy)
ylim([0 6])
xlabel('Gate Charge n_g')
ylabel('Energy (E_C)')
title('E_J/E_C=0.1')
makepdf('cooperpairbox2');

EJEC = 4;
EigenEnergy = [];
for i=1:length(ng)
    EigenEnergy(:,i) = Hamiltonian(EJEC,ng(i),nmax);
end
figure(3);
plot(ng,EigenEnergy)
ylim([0 10])
xlabel('Gate Charge n_g')
ylabel('Energy (E_C)')
title('E_J/E_C=4')
makepdf('cooperpairbox3');
