function eigenen = Hamiltonian(EJEC,ng,nmax)

Hel = 4*diag(([-nmax:nmax]-ng).^2);

[X,Y] = meshgrid(-nmax:nmax, -nmax:nmax);
offdiag=((X-1==Y) | (X==Y-1));

HJ = -EJEC/2*offdiag;

Ham = Hel+HJ;

eigenen = eig(Ham);
